# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Scan/ClamAV.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name PowerTools-Upload-Blob
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Additional Perl tool for Apache::ASP data uploading
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GB/GBSHOUSE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
default table

_CREATE TABLE  `files`.`file` (
_  `file_id` int(10) unsigned NOT NULL auto_increment,
_  `file_name` varchar(255) NOT NULL,
_  `file_type` varchar(255) NOT NULL,
_  `file_blob` longblob NOT NULL,
_  `file_size` int(10) unsigned NOT NULL,
_  PRIMARY KEY  (`file_id`)
_) ENGINE=InnoDB DEFAULT CHARSET=latin1;

_.asp file

_use PowerTools::Upload::Blob;

_my $up = PowerTools::Upload::File->new(___# Create new object
__path => 'E:/instale/test', ___# Path to directory where files will be stored (default: '/tmp')
__field => 'plik',____# Form field name (<input type"file" name="plik">, default: 'file')
__limit => $Server->Config("FileUploadMax"),_# File size limit (default 100000000)
__request => $Request,____# Request object
__clamav => 1,_____# Scan with ClamAV when uploading (0 -> no / 1 -> yes, default: 0)
__overwrite => 0_____# Overwrite file (0 -> no / 1 -> yes, default: 1)
__);

_my $ret = $up->upload();____# Upload file
_print $ret->{'filename'}."<br>";___# Returns filename
_print $ret->{'filesize'}."<br>";___# Returns filesize
_print $ret->{'filepath'}."<br>";___# Returns filepath
_print $ret->{'filescan'}."<br>";___# Returns filescan
_print $ret->{'filemime'}."<br>";___# Returns filemime
_print $ret->{'copytime'}."<br>";___# Returns copytime
_print $ret->{'status'};_____# Returns upload status



%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

